OpenVDB 11.0.0

Loading...
Searching...
No Matches
Laplacian< MapType, DiffScheme > Struct Template Reference

Compute the Laplacian at a given location in a grid using finite differencing of various orders. The result is defined in the range of the map. More...

`#include <openvdb/math/Operators.h>`

## Static Public Member Functions
template<typename Accessor>
static Accessor::ValueType | result (const MapType &map, const Accessor &grid, const Coord &ijk)
template<typename StencilT>
static StencilT::ValueType | result (const MapType &map, const StencilT &stencil)

## Detailed Description

template<typename MapType, DDScheme DiffScheme>
struct openvdb::v11_0::math::Laplacian< MapType, DiffScheme >

Compute the Laplacian at a given location in a grid using finite differencing of various orders. The result is defined in the range of the map.

## Member Function Documentation

## ◆ result() [1/2]

template<typename MapType, DDScheme DiffScheme>
template<typename Accessor>

Accessor::ValueType result | ( | const MapType & | map,
|  | const Accessor & | grid,
|  | const Coord & | ijk )
| inline static

## ◆ result() [2/2]

template<typename MapType, DDScheme DiffScheme>
template<typename StencilT>

StencilT::ValueType result | ( | const MapType & | map,
|  | const StencilT & | stencil )
| inline static